Subject: Fw: Log-in trouble - AMEX not active on CFC
From: "Michael B" <[email-masked]>
To: <[email-masked]>
Cc: "Jordan Demian" <[email-masked]>
Date: Thu, 22 Mar 2018 13:50:43 -0400

Hello.
I received an automatic email stating that Jordan would not be available until March 26. I really need someone to contact me before that time. Your assistance is greatly appreciated.
Thank you,
Michael Bishop
Labor Law Poster Service
877-321-4144 x355

From: Michael B 
Sent: Thursday, March 22, 2018 1:42 PM
To: Jordan Demian 
Subject: Log-in trouble - AMEX not active on CFC

Hello Jordan.
I have been trying to call in to speak with you but the phone system can not verify who I am and will not forward my call through. Very frustrating! I am trying to use a new user that I just added last week to use for our sites, like we talked about. For some reason, I am unable to log-in today and the system will not let me update the password from the Admin account. It keeps saying that the the passwords do not match. So need your help on that again. Secondly, the AMEX is still not working for Council for Corporations. I know you had said checked on this for me before and said that it should be working and to check with our IT people. They have checked and we have nothing on our end that is limiting the credit cards to card type. Our system is only sending the credit card information over and we are getting a transaction number that gets recorded in our system. We are getting a response, "card not supported" when we attempt to do AMEX transactions. Please check with your support team to find out if something is just missing or not active. Please call me as soon as possible.
Thank you,
Michael Bishop
Labor Law Poster Service
877-321-4144 x355